Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
balances
Get Balances
curl --request GET \
  --url https://api.cadanapay.com/v1/businesses/{businessId}/balances \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cadanapay.com/v1/businesses/{businessId}/balances"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cadanapay.com/v1/businesses/{businessId}/balances', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "517075a2-17db-469f-9481-eb8347cb920c",
      "currency": "USD",
      "balance": 703448,
      "available": 703448,
      "processing": 0,
      "reserves": 0
    }
  ]
}
{
  "code": "resource_not_found",
  "message": "Requested resource could not be found."
}
{
  "code": "internal_error",
  "message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

businessId
string
required

The unique identifier for the business

Query Parameters

include
string

Comma-separated list of additional fields to include (e.g. reserves)

Example:

"reserves"

Response

get wallet balances

data
object[]